Index: XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/run_test.sh
===================================================================
--- XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/run_test.sh	(revision 1706)
+++ XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/run_test.sh	(revision 1706)
@@ -0,0 +1,27 @@
+#!/bin/bash
+
+fname=test_report.txt
+touch $fname
+
+> $fname
+
+gname=report.txt
+
+
+cd test_function
+echo "" >> ../$fname
+echo "testing reduce functions..." >> ../$fname
+echo "" >> ../$fname
+./run.sh
+cat $gname >> ../$fname 
+
+cd ../test_axis_algo
+echo "" >> ../$fname
+echo "testing axis transformations..." >> ../$fname
+echo "" >> ../$fname
+./run.sh
+cat $gname >> ../$fname 
+
+
+
+
Index: XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_axis_algo/Check.py
===================================================================
--- XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_axis_algo/Check.py	(revision 1706)
+++ XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_axis_algo/Check.py	(revision 1706)
@@ -0,0 +1,109 @@
+import os
+import sys
+
+
+from user_param import *
+
+def main():
+	
+	configNamePattern=[0, 0, 0, 0, 0, 0]
+
+	f=open("user_param.py", "r")
+	for line in f:
+		line = line.strip()
+		if line.startswith("UsingServer2"):
+			configNamePattern[0] = '_UsingSrv2=' + UsingServer2
+		elif line.startswith("RatioServer2"):
+			configNamePattern[1] = '_RatioSrv2=' + repr(RatioServer2)
+		elif line.startswith("NumberPoolsServer2"):
+			configNamePattern[2] = '_NbPoolsSrv2=' + repr(NumberPoolsServer2)
+		elif line.startswith("NumberClients"):
+			configNamePattern[3] = '_NbClients=' + repr(NumberClients)
+		elif line.startswith("NumberServers"):
+			configNamePattern[4] = '_NbServers=' + repr(NumberServers)
+		elif line.startswith("Duration"):
+			configNamePattern[5] = '_Duration=' + Duration
+	f.close()
+		
+	
+	configName = "config"
+	defaultConfig = True
+
+	for i in range(len(configNamePattern)):
+		if configNamePattern[i] != 0:
+			configName = configName + configNamePattern[i]
+			defaultConfig = False
+
+	if defaultConfig:
+		configName = "config_default"
+
+
+	if not os.path.exists(configName):
+		os.mkdir(configName)
+		print("\n    ****************************************************************")
+		print("    * Directory " + repr(configName) + " Created ")
+		print("    * Copy results to \'not_validated_reference\' folder")
+		print("    ****************************************************************\n")
+
+		os.mkdir(configName+'/setup')
+		os.mkdir(configName+'/tmp_reference')
+		
+		os.system('cp param.def '+configName+'/setup/')
+		os.system('cp iodef.xml '+configName+'/setup/')
+		os.system('cp context_atm.xml '+configName+'/setup/')
+		os.system('cp context_grid_dynamico.xml '+configName+'/setup/')
+		os.system('cp dynamico_grid.nc '+configName+'/setup/')
+		
+		os.system('cp atm_output.nc '+configName+'/tmp_reference/')
+		# os.system('cp -r '+configName+'/tmp_reference/ ' + configName+'/reference/')
+
+	else:    
+		print("\n    ********************************************************")
+		print("    * Directory " + repr(configName) + " already exists")
+		print("    * Start comparing results with (tmp) references")
+		print("    ********************************************************\n")
+
+		tmp_ref = os.path.isdir(configName+'/tmp_reference')
+		ref = os.path.isdir(configName+'/reference')
+
+		if ref:
+			print("\n    =====================================")
+			print("    | Comparing results with references |")
+			print("    =====================================\n")
+			os.system('rm -rf '+configName+'/tmp_reference/')
+			tmp_ref = False
+			path = configName+'/reference/'
+		elif tmp_ref:
+			print("\n    ===================================================")
+			print("    | Comparing results with NON-Validated references |")
+			print("    ===================================================\n")
+			path = configName+'/tmp_reference/'
+
+		os.system('cdo diffn atm_output.nc '+path+'/atm_output.nc | tail -1 > diff.txt')
+
+		f=open("diff.txt", "r")
+		for line in f:
+			if line.strip().startswith("0"):
+				print "\n        ***********************"
+				print "        ** Test is valid !!! **"
+				print "        ***********************\n"
+				valid = True
+
+			else:
+				print "\n        *******************************************"
+				print "        ** Test is NOT valid. Please debuging... **"
+				print "        *******************************************\n"
+				valid = False
+
+		f.close()
+
+		f=open("report.txt", "a+")
+		if valid:
+			f.write("test for "+configName+" passed.\n")
+		else:
+			f.write("test for "+configName+" failed.\n")
+		f.close()
+
+
+if __name__== "__main__":
+  main()
Index: XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_axis_algo/Config.py
===================================================================
--- XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_axis_algo/Config.py	(revision 1706)
+++ XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_axis_algo/Config.py	(revision 1706)
@@ -0,0 +1,46 @@
+import os
+import sys
+
+from default_param import *
+from user_param import *
+
+def main():
+	
+	f=open("param.def", "w")
+
+	f.write("&params_run\n")
+	f.write('UsingServer2 = ' + UsingServer2 + '\n')
+	f.write('RatioServer2 = ' + repr(RatioServer2) + '\n')
+	f.write('NumberPoolsServer2 = ' + repr(NumberPoolsServer2) + '\n')
+	f.write('nb_proc_atm = ' + repr(NumberClients) + '\n')
+	f.write('NumberServers = ' + repr(NumberServers) + '\n')
+	f.write('duration = ' + repr(Duration) + '\n')
+	f.write('/\n\n')
+
+	f.close()
+
+	nb_proc = NumberClients+NumberServers
+
+	filein = open("iodef.xml", "r")
+	fileout = open("iodef.xml.tmp", "w")
+	for line in filein:
+		if 'number_pools_server2' in line:
+			fileout.write( "        <variable id=\"number_pools_server2\" type=\"int\">"+repr(NumberPoolsServer2)+"</variable>\n")
+		elif 'using_server2' in line:
+			fileout.write( "        <variable id=\"using_server2\" type=\"bool\">"+UsingServer2+"</variable>\n")
+		elif 'ratio_server2' in line:
+			fileout.write( "        <variable id=\"ratio_server2\" type=\"int\">"+repr(RatioServer2)+"</variable>\n")
+		else:
+			fileout.write(line)
+
+	filein.close()
+	fileout.close()
+	os.rename("iodef.xml.tmp", "iodef.xml")
+
+
+	print >>sys.stderr, nb_proc
+
+
+
+if __name__== "__main__":
+  main()
Index: XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_axis_algo/context_atm.xml
===================================================================
--- XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_axis_algo/context_atm.xml	(revision 1705)
+++ XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_axis_algo/context_atm.xml	(revision 1706)
@@ -27,8 +27,8 @@
     </axis>
     <axis id="domain_X_zoom" axis_ref="domain_X">
-        <zoom_axis begin="0" n="1"/>
+        <zoom_axis begin="0" n="10"/>
     </axis>
     <axis id="domain_Y_zoom" axis_ref="domain_Y">
-        <zoom_axis begin="3" n="1"/>
+        <zoom_axis begin="3" n="5"/>
     </axis>
   </axis_definition>
@@ -385,14 +385,8 @@
 
   <file_definition  type="one_file" >
-    
-    <file id="atm_output" output_freq="1ts" type="one_file" enabled="true">
-       <!-- <field id="id_fieldXY" field_ref="field_XY" operation="once" enabled="true"/> -->
-       <field id="id_fieldX" field_ref="field_X" operation="once" enabled="true"/>
-    </file>
-
-     <file id="atm_output_zoom" output_freq="1ts" enabled="true">
-       <field id="fieldX_zoomX" field_ref="field_X" grid_ref="grid_X_zoom" operation="once" enabled="true"/>
-       <!-- <field id="fieldXY_zoomX" field_ref="field_XY" grid_ref="grid_XY_zoom_X" operation="once" enabled="true"/>
-       <field id="fieldXY_zoomY" field_ref="field_XY" grid_ref="grid_XY_zoom_Y" operation="once" enabled="true"/> -->
+  
+
+     <file id="atm_output" output_freq="1ts" enabled="true">
+       <field id="fieldXY_zoomY" field_ref="field_XY" grid_ref="grid_XY_zoom_Y" operation="once" enabled="true"/>
     </file>
 
Index: XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_axis_algo/default_param.py
===================================================================
--- XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_axis_algo/default_param.py	(revision 1706)
+++ XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_axis_algo/default_param.py	(revision 1706)
@@ -0,0 +1,6 @@
+UsingServer2 = 'false'
+RatioServer2 = 50
+NumberPoolsServer2 = 1
+NumberClients = 8
+NumberServers = 4
+Duration = '1d'
Index: XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_axis_algo/iodef.xml
===================================================================
--- XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_axis_algo/iodef.xml	(revision 1705)
+++ XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_axis_algo/iodef.xml	(revision 1706)
@@ -54,5 +54,5 @@
         <variable id="info_level" type="int">100</variable>
         <variable id="print_file" type="bool">true</variable>
-        <variable id="using_server2" type="bool">false</variable>
+        <variable id="using_server2" type="bool">true</variable>
         <variable id="ratio_server2" type="int">50</variable>
         <variable id="number_pools_server2" type="int">1</variable>
Index: XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_axis_algo/mul_Config.py
===================================================================
--- XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_axis_algo/mul_Config.py	(revision 1706)
+++ XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_axis_algo/mul_Config.py	(revision 1706)
@@ -0,0 +1,88 @@
+import os
+import sys
+
+from default_param import *
+
+def main():
+
+	nb_config = 1;
+	configs = [0, 0, 0, 0, 0, 0]
+	configs_arg = [[],[],[],[],[],[]]
+
+	f=open("user_params.def", "r")
+	for line in f:
+		line = line.strip()
+		if len(line) != 0:
+			if not line.startswith("#"):
+				nb_config = nb_config * (line.count(",")+1)
+				line = line.replace(",", "")
+				line = line.replace("=", "")
+				if line.startswith("UsingServer2"):
+					line = line.replace("UsingServer2", "")
+					for word in line.split():
+						configs[0] += 1
+						configs_arg[0].append('UsingServer2 = '+word)
+				elif line.startswith("RatioServer2"):
+					line = line.replace("RatioServer2", "")
+					for word in line.split():
+						configs[1] += 1
+						configs_arg[1].append('RatioServer2 = '+word)
+				elif line.startswith("NumberPoolsServer2"):
+					line = line.replace("NumberPoolsServer2", "")
+					for word in line.split():
+						configs[2] += 1
+						configs_arg[2].append('NumberPoolsServer2 = '+word)
+				elif line.startswith("NumberClients"):
+					line = line.replace("NumberClients", "")
+					for word in line.split():
+						configs[3] += 1
+						configs_arg[3].append('NumberClients = '+word)
+				elif line.startswith("NumberServers"):
+					line = line.replace("NumberServers", "")
+					for word in line.split():
+						configs[4] += 1
+						configs_arg[4].append('NumberServers = '+word)
+				elif line.startswith("Duration"):
+					line = line.replace("Duration", "")
+					for word in line.split():
+						configs[5] += 1
+						configs_arg[5].append('Duration = '+word)
+
+				
+	
+	for x in range(6):
+		if configs[x]==0:
+			configs[x] =1
+
+	config_id=0
+	for i0 in range(configs[0]):
+		hasContent0 = len(configs_arg[0])>0
+		for i1 in range(configs[1]):
+			hasContent1 = len(configs_arg[1])>0
+			for i2 in range(configs[2]):
+				hasContent2 = len(configs_arg[2])>0
+				for i3 in range(configs[3]):
+					hasContent3 = len(configs_arg[3])>0
+					for i4 in range(configs[4]):
+						hasContent4 = len(configs_arg[4])>0
+						for i5 in range(configs[5]):
+							hasContent5 = len(configs_arg[5])>0
+							filename = "user_param.py."+repr(config_id)
+							g = open(filename, "w")
+
+							if hasContent0: g.write(configs_arg[0][i0]+'\n')
+							if hasContent1: g.write(configs_arg[1][i1]+'\n')
+							if hasContent2: g.write(configs_arg[2][i2]+'\n')
+							if hasContent3: g.write(configs_arg[3][i3]+'\n')
+							if hasContent4: g.write(configs_arg[4][i4]+'\n')
+							if hasContent5: g.write(configs_arg[5][i5]+'\n')
+							
+							config_id +=1
+							g.close
+
+
+	print >>sys.stderr, nb_config
+
+
+if __name__== "__main__":
+  main()
Index: XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_axis_algo/param.def
===================================================================
--- XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_axis_algo/param.def	(revision 1705)
+++ XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_axis_algo/param.def	(revision 1706)
@@ -1,4 +1,9 @@
 &params_run
-duration='1d'
-nb_proc_atm=8
+UsingServer2 = true
+RatioServer2 = 50
+NumberPoolsServer2 = 1
+nb_proc_atm = 8
+NumberServers = 4
+duration = '1d'
 /
+
Index: XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_axis_algo/run.sh
===================================================================
--- XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_axis_algo/run.sh	(revision 1706)
+++ XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_axis_algo/run.sh	(revision 1706)
@@ -0,0 +1,26 @@
+#!/bin/bash
+
+touch report.txt
+> report.txt
+
+nb_config=$(python mul_Config.py 2>&1)                                                                                                                    
+
+
+counter=0
+while [ $counter -lt $nb_config ]
+do
+
+rm -f user_param.py
+
+cp user_param.py.$counter user_param.py
+
+((counter++))
+
+nb_proc=$(python Config.py 2>&1) 
+
+mpirun -np $nb_proc ../../build_prod/bin/generic_testcase.exe
+
+python Check.py
+# echo $valid
+
+done
Index: XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_axis_algo/user_params.def
===================================================================
--- XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_axis_algo/user_params.def	(revision 1706)
+++ XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_axis_algo/user_params.def	(revision 1706)
@@ -0,0 +1,16 @@
+# default configurations
+
+# UsingServer2 = 'false'
+# RatioServer2 = 50
+# NumberPoolsServer2 = 1
+# NumberClients = 8
+# NumberServers = 4
+# Duration = '1d'
+
+# for multiple definitions, use 'comma' to seperate
+# e.g. NumberServers = 2, 4, 8  
+
+NumberServers = 2, 4
+UsingServer2 = 'false', 'true'
+# Duration = '1d', '2d'
+# NumberPoolsServer2 = 1
Index: XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/Check.py
===================================================================
--- XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/Check.py	(revision 1705)
+++ XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/Check.py	(revision 1706)
@@ -1,3 +1,4 @@
 import os
+import sys
 
 
@@ -6,27 +7,21 @@
 def main():
 	
-
-	configName='config'
 	configNamePattern=[0, 0, 0, 0, 0, 0]
 
 	f=open("user_param.py", "r")
 	for line in f:
-		if not line.startswith("#"):
-			if len(line.strip()) != 0:
-				n = line.split(None, 1)[0]
-				if n == 'UsingServer2':
-					configNamePattern[0] = '_UsingSrv2=' + UsingServer2
-				elif n=='RatioServer2':
-					configNamePattern[1] = '_RatioSrv2=' + repr(RatioServer2)
-				elif n=='NumberPoolsServer2':
-					configNamePattern[2] = '_NbPoolsSrv2=' + repr(NumberPoolsServer2)
-				elif n=='NumberClients':
-					configNamePattern[3] = '_NbClients=' + repr(NumberClients)
-				elif n=='NumberServers':
-					configNamePattern[4] = '_NbServers=' + repr(NumberServers)
-				else:
-					configNamePattern[5] = '_Duration=' + Duration
-
-  
+		line = line.strip()
+		if line.startswith("UsingServer2"):
+			configNamePattern[0] = '_UsingSrv2=' + UsingServer2
+		elif line.startswith("RatioServer2"):
+			configNamePattern[1] = '_RatioSrv2=' + repr(RatioServer2)
+		elif line.startswith("NumberPoolsServer2"):
+			configNamePattern[2] = '_NbPoolsSrv2=' + repr(NumberPoolsServer2)
+		elif line.startswith("NumberClients"):
+			configNamePattern[3] = '_NbClients=' + repr(NumberClients)
+		elif line.startswith("NumberServers"):
+			configNamePattern[4] = '_NbServers=' + repr(NumberServers)
+		elif line.startswith("Duration"):
+			configNamePattern[5] = '_Duration=' + Duration
 	f.close()
 		
@@ -35,5 +30,5 @@
 	defaultConfig = True
 
-	for i in range(6):
+	for i in range(len(configNamePattern)):
 		if configNamePattern[i] != 0:
 			configName = configName + configNamePattern[i]
@@ -43,14 +38,11 @@
 		configName = "config_default"
 
-	print(configName)
-
-	# os.system('rm -rf config_*')
 
 	if not os.path.exists(configName):
 		os.mkdir(configName)
-		print("********************************************************")
-		print("* Directory " + repr(configName) + " Created ")
-		print("* Copy results to \'not_validated_reference\' folder")
-		print("********************************************************")
+		print("\n    ****************************************************************")
+		print("    * Directory " + repr(configName) + " Created ")
+		print("    * Copy results to \'not_validated_reference\' folder")
+		print("    ****************************************************************\n")
 
 		os.mkdir(configName+'/setup')
@@ -64,27 +56,27 @@
 		
 		os.system('cp atm_output.nc '+configName+'/tmp_reference/')
-		os.system('cp -r '+configName+'/tmp_reference/ ' + configName+'/reference/')
+		# os.system('cp -r '+configName+'/tmp_reference/ ' + configName+'/reference/')
 
 	else:    
-		print("********************************************************")
-		print("* Directory " + repr(configName) + " already exists")
-		print("* Start comparing results with (tmp) references")
-		print("********************************************************")
+		print("\n    ********************************************************")
+		print("    * Directory " + repr(configName) + " already exists")
+		print("    * Start comparing results with (tmp) references")
+		print("    ********************************************************\n")
 
 		tmp_ref = os.path.isdir(configName+'/tmp_reference')
 		ref = os.path.isdir(configName+'/reference')
 
-		path=0
-
 		if ref:
-			print("* Comparing results with references")
+			print("\n    =====================================")
+			print("    | Comparing results with references |")
+			print("    =====================================\n")
 			os.system('rm -rf '+configName+'/tmp_reference/')
 			tmp_ref = False
 			path = configName+'/reference/'
 		elif tmp_ref:
-			print("* Comparing results with non-validated references")
+			print("\n    ===================================================")
+			print("    | Comparing results with NON-Validated references |")
+			print("    ===================================================\n")
 			path = configName+'/tmp_reference/'
-
-		print(path)
 
 		os.system('cdo diffn atm_output.nc '+path+'/atm_output.nc | tail -1 > diff.txt')
@@ -92,14 +84,23 @@
 		f=open("diff.txt", "r")
 		for line in f:
-			# line = line.strip()
 			if line.strip().startswith("0"):
-				print "    *******************"
-				print "    ** Test is valid **"
-				print "    *******************"
+				print "\n        ***********************"
+				print "        ** Test is valid !!! **"
+				print "        ***********************\n"
+				valid = True
+
 			else:
-				print "    *******************************************"
-				print "    ** Test is NOT valid. Please debuging... **"
-				print "    *******************************************"
+				print "\n        *******************************************"
+				print "        ** Test is NOT valid. Please debuging... **"
+				print "        *******************************************\n"
+				valid = False
 
+		f.close()
+
+		f=open("report.txt", "a+")
+		if valid:
+			f.write("test for "+configName+" passed.\n")
+		else:
+			f.write("test for "+configName+" failed.\n")
 		f.close()
 
Index: XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/Config.py
===================================================================
--- XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/Config.py	(revision 1705)
+++ XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/Config.py	(revision 1706)
@@ -1,3 +1,4 @@
 import os
+import sys
 
 from default_param import *
@@ -38,4 +39,5 @@
 
 
+	print >>sys.stderr, nb_proc
 
 
Index: XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/run.sh
===================================================================
--- XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/run.sh	(revision 1705)
+++ XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/run.sh	(revision 1706)
@@ -1,6 +1,8 @@
 #!/bin/bash
 
+touch report.txt
+> report.txt
+
 nb_config=$(python mul_Config.py 2>&1)                                                                                                                    
-# mkdir $va
 
 
@@ -8,14 +10,17 @@
 while [ $counter -lt $nb_config ]
 do
+
 rm -f user_param.py
-# echo $counter
+
 cp user_param.py.$counter user_param.py
-# echo $?
 
-# echo cp -n user_param.py.$counter user_param.py
 ((counter++))
 
-python Config.py
-mpirun -np 10 ../../build_prod/bin/generic_testcase.exe
+nb_proc=$(python Config.py 2>&1) 
+
+mpirun -np $nb_proc ../../build_prod/bin/generic_testcase.exe
+
 python Check.py
+# echo $valid
+
 done
Index: XIOS/dev/dev_trunk_omp/extern/src_ep_dev/ep_fortran.cpp
===================================================================
--- XIOS/dev/dev_trunk_omp/extern/src_ep_dev/ep_fortran.cpp	(revision 1705)
+++ XIOS/dev/dev_trunk_omp/extern/src_ep_dev/ep_fortran.cpp	(revision 1706)
@@ -30,5 +30,5 @@
       {
         ep_lib::fc_comm_map.insert(std::make_pair( std::make_pair( *static_cast< MPI_Fint*>(fint), omp_get_thread_num()) , comm));
-        printf("EP_Comm_c2f : MAP %p insert: %d, %d, %p\n", &(ep_lib::fc_comm_map), *static_cast< MPI_Fint*>(fint), omp_get_thread_num(), comm->ep_comm_ptr);
+        // printf("EP_Comm_c2f : MAP %p insert: %d, %d, %p\n", &(ep_lib::fc_comm_map), *static_cast< MPI_Fint*>(fint), omp_get_thread_num(), comm->ep_comm_ptr);
       }
     }
@@ -53,5 +53,5 @@
       ep_lib::MPI_Comm comm_ptr;
       comm_ptr = it->second;
-      printf("EP_Comm_f2c : MAP %p find: %d, %d, %p\n", &(ep_lib::fc_comm_map), it->first.first, it->first.second, comm_ptr->ep_comm_ptr);
+      // printf("EP_Comm_f2c : MAP %p find: %d, %d, %p\n", &(ep_lib::fc_comm_map), it->first.first, it->first.second, comm_ptr->ep_comm_ptr);
       return  comm_ptr;
     }
Index: XIOS/dev/dev_trunk_omp/src/transformation/generic_algorithm_transformation.cpp
===================================================================
--- XIOS/dev/dev_trunk_omp/src/transformation/generic_algorithm_transformation.cpp	(revision 1705)
+++ XIOS/dev/dev_trunk_omp/src/transformation/generic_algorithm_transformation.cpp	(revision 1706)
@@ -36,5 +36,4 @@
 TRY
 {
-  std::cout<<"================================ CGenericAlgorithmTransformation::apply"<<std::endl;
 
   int nbLocalIndex = localIndex.size();   