Index: /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/check.py
===================================================================
--- /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/check.py	(revision 1711)
+++ /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/check.py	(revision 1712)
@@ -7,5 +7,5 @@
 def main():
 	
-	configNamePattern=[0, 0, 0, 0, 0, 0]
+	configNamePattern=[0]*7
 
 	f=open("user_param.py", "r")
@@ -24,4 +24,6 @@
 		elif line.startswith("Duration"):
 			configNamePattern[5] = '_Duration=' + Duration
+		elif line.startswith("ATMdomain"):
+			configNamePattern[5] = '_ATMdomain=' + ATMdomain
 	f.close()
 		
Index: /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/config.py
===================================================================
--- /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/config.py	(revision 1711)
+++ /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/config.py	(revision 1712)
@@ -16,4 +16,5 @@
 	f.write('NumberServers = ' + repr(NumberServers) + '\n')
 	f.write('duration = ' + repr(Duration) + '\n')
+	f.write('ATMdomain = ' + ATMdomain + '\n')
 	f.write('/\n\n')
 
@@ -22,13 +23,21 @@
 	nb_proc = NumberClients+NumberServers
 
-	filein = open("iodef.xml", "r")
+	os.rename("iodef.xml", "iodef.xml.bkp")
+
+	filein = open("iodef.xml.bkp", "r")
 	fileout = open("iodef.xml.tmp", "w")
 	for line in filein:
-		if 'number_pools_server2' in line:
-			fileout.write( "        <variable id=\"number_pools_server2\" type=\"int\">"+repr(NumberPoolsServer2)+"</variable>\n")
-		elif 'using_server2' in line:
-			fileout.write( "        <variable id=\"using_server2\" type=\"bool\">"+UsingServer2+"</variable>\n")
-		elif 'ratio_server2' in line:
-			fileout.write( "        <variable id=\"ratio_server2\" type=\"int\">"+repr(RatioServer2)+"</variable>\n")
+		if 'xios::nbplSrv2' in line:
+			line = line.replace("xios::nbplSrv2", repr(NumberPoolsServer2))
+			fileout.write(line)
+		elif 'xios::usingSrv2' in line:
+			line = line.replace("xios::usingSrv2", UsingServer2)
+			fileout.write(line)
+		elif 'xios::ratioSrv2' in line:
+			line=line.replace("xios::ratioSrv2", repr(RatioServer2))
+			fileout.write(line)
+		elif 'atm::domain' in line:
+			line=line.replace("atm::domain", ATMdomain)
+			fileout.write(line)
 		else:
 			fileout.write(line)
Index: /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/default_param.py
===================================================================
--- /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/default_param.py	(revision 1711)
+++ /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/default_param.py	(revision 1712)
@@ -5,2 +5,3 @@
 NumberServers = 4
 Duration = '1d'
+ATMdomain = 'lmdz'
Index: /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/run_sub_test.sh
===================================================================
--- /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/run_sub_test.sh	(revision 1711)
+++ /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/run_sub_test.sh	(revision 1712)
@@ -28,6 +28,8 @@
 mpirun -np $nb_proc ../../build_prod/bin/generic_testcase.exe
 
-
 python sub_check.py
 
+rm -f iodef.xml
+mv iodef.xml.bkp iodef.xml
+
 done
Index: /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_axis_algo/iodef.xml
===================================================================
--- /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_axis_algo/iodef.xml	(revision 1711)
+++ /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_axis_algo/iodef.xml	(revision 1712)
@@ -1,3 +1,4 @@
 <?xml version="1.0"?>
+
 <simulation>
 
@@ -6,7 +7,7 @@
 
       <variable id="timestep"> 1h </variable>
-      <variable id="domain"> lmdz </variable>
-      <variable id="domain_mask"> false </variable>
-      <variable id="axis_mask"> false </variable>
+      <variable id="domain"> atm::domain </variable>
+      <variable id="domain_mask"> true </variable>
+      <variable id="axis_mask"> true </variable>
       <variable id="init_field2D"> rank </variable>
       <variable id="ni"> 36 </variable>
@@ -51,10 +52,10 @@
 
       <variable_group id="parameters" >
-        <variable id="using_server" type="bool">true</variable>
+        <variable id="using_server" type="bool">xios::usingSrv2</variable>
         <variable id="info_level" type="int">100</variable>
         <variable id="print_file" type="bool">true</variable>
-        <variable id="using_server2" type="bool">true</variable>
-        <variable id="ratio_server2" type="int">50</variable>
-        <variable id="number_pools_server2" type="int">1</variable>
+        <variable id="using_server2" type="bool">false</variable>
+        <variable id="ratio_server2" type="int">xios::ratioSrv2</variable>
+        <variable id="number_pools_server2" type="int">xios::nbplSrv2</variable>
         <variable id="pure_one_sided" type="bool">false</variable>
         <variable id="check_event_sync" type="bool">true</variable>
Index: /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_axis_algo/param.def
===================================================================
--- /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_axis_algo/param.def	(revision 1711)
+++ /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_axis_algo/param.def	(revision 1712)
@@ -6,4 +6,5 @@
 NumberServers = 4
 duration = '1d'
+ATMdomain = lmdz
 /
 
Index: /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/iodef.xml
===================================================================
--- /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/iodef.xml	(revision 1711)
+++ /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/iodef.xml	(revision 1712)
@@ -7,5 +7,5 @@
 
       <variable id="timestep"> 1h </variable>
-      <variable id="domain"> lmdz </variable>
+      <variable id="domain"> atm::domain </variable>
       <variable id="domain_mask"> true </variable>
       <variable id="axis_mask"> true </variable>
@@ -52,10 +52,10 @@
 
       <variable_group id="parameters" >
-        <variable id="using_server" type="bool">true</variable>
+        <variable id="using_server" type="bool">xios::usingSrv2</variable>
         <variable id="info_level" type="int">100</variable>
         <variable id="print_file" type="bool">true</variable>
-        <variable id="using_server2" type="bool">true</variable>
-        <variable id="ratio_server2" type="int">50</variable>
-        <variable id="number_pools_server2" type="int">1</variable>
+        <variable id="using_server2" type="bool">false</variable>
+        <variable id="ratio_server2" type="int">xios::ratioSrv2</variable>
+        <variable id="number_pools_server2" type="int">xios::nbplSrv2</variable>
         <variable id="pure_one_sided" type="bool">false</variable>
         <variable id="check_event_sync" type="bool">true</variable>
Index: /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/param.def
===================================================================
--- /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/param.def	(revision 1711)
+++ /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/param.def	(revision 1712)
@@ -6,4 +6,5 @@
 NumberServers = 4
 duration = '1d'
+ATMdomain = lmdz
 /
 
Index: /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/user_params.def
===================================================================
--- /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/user_params.def	(revision 1711)
+++ /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/user_params.def	(revision 1712)
@@ -13,4 +13,3 @@
 NumberServers = 2, 4
 UsingServer2 = 'false', 'true'
-# Duration = '1d', '2d'
-# NumberPoolsServer2 = 1
+ATMdomain = 'lmdz'
Index: /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/user_config.py
===================================================================
--- /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/user_config.py	(revision 1711)
+++ /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/user_config.py	(revision 1712)
@@ -6,7 +6,10 @@
 def main():
 
+	default_nb_config = 7
+
 	nb_config = 1;
-	configs = [0, 0, 0, 0, 0, 0]
-	configs_arg = [[],[],[],[],[],[]]
+	configs = [0]*default_nb_config
+	 
+	configs_arg = [[], [], [], [], [], [], []] 
 
 	f=open("user_params.def", "r")
@@ -48,8 +51,12 @@
 						configs[5] += 1
 						configs_arg[5].append('Duration = '+word)
+				elif line.startswith("ATMdomain"):
+					line = line.replace("ATMdomain", "")
+					for word in line.split():
+						configs[6] += 1
+						configs_arg[6].append('ATMdomain = '+word)
 
 				
-	
-	for x in range(6):
+	for x in range(default_nb_config):
 		if configs[x]==0:
 			configs[x] =1
@@ -68,16 +75,20 @@
 						for i5 in range(configs[5]):
 							hasContent5 = len(configs_arg[5])>0
-							filename = "user_param.py."+repr(config_id)
-							g = open(filename, "w")
+							for i6 in range(configs[6]):
+								hasContent6 = len(configs_arg[6])>0
 
-							if hasContent0: g.write(configs_arg[0][i0]+'\n')
-							if hasContent1: g.write(configs_arg[1][i1]+'\n')
-							if hasContent2: g.write(configs_arg[2][i2]+'\n')
-							if hasContent3: g.write(configs_arg[3][i3]+'\n')
-							if hasContent4: g.write(configs_arg[4][i4]+'\n')
-							if hasContent5: g.write(configs_arg[5][i5]+'\n')
+								filename = "user_param.py."+repr(config_id)
+								g = open(filename, "w")
+
+								if hasContent0: g.write(configs_arg[0][i0]+'\n')
+								if hasContent1: g.write(configs_arg[1][i1]+'\n')
+								if hasContent2: g.write(configs_arg[2][i2]+'\n')
+								if hasContent3: g.write(configs_arg[3][i3]+'\n')
+								if hasContent4: g.write(configs_arg[4][i4]+'\n')
+								if hasContent5: g.write(configs_arg[5][i5]+'\n')
+								if hasContent6: g.write(configs_arg[6][i6]+'\n')
 							
-							config_id +=1
-							g.close
+								config_id +=1
+								g.close
 
 