Index: /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/check.py
===================================================================
--- /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/check.py	(revision 1712)
+++ /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/check.py	(revision 1713)
@@ -52,4 +52,5 @@
 		
 		os.system('cp param.def '+configName+'/setup/')
+		os.system('cp all_param.def '+configName+'/setup/')
 		os.system('cp iodef.xml '+configName+'/setup/')
 		os.system('cp context_atm.xml '+configName+'/setup/')
Index: /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/config.py
===================================================================
--- /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/config.py	(revision 1712)
+++ /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/config.py	(revision 1713)
@@ -10,14 +10,25 @@
 
 	f.write("&params_run\n")
-	f.write('UsingServer2 = ' + UsingServer2 + '\n')
-	f.write('RatioServer2 = ' + repr(RatioServer2) + '\n')
-	f.write('NumberPoolsServer2 = ' + repr(NumberPoolsServer2) + '\n')
 	f.write('nb_proc_atm = ' + repr(NumberClients) + '\n')
-	f.write('NumberServers = ' + repr(NumberServers) + '\n')
 	f.write('duration = ' + repr(Duration) + '\n')
-	f.write('ATMdomain = ' + ATMdomain + '\n')
 	f.write('/\n\n')
 
 	f.close()
+
+
+	f=open("all_param.def", "w")
+
+	f.write("&params_run\n")
+	f.write('UsingServer2 = ' + repr(UsingServer2) + '\n')
+	f.write('RatioServer2 = ' + repr(RatioServer2) + '\n')
+	f.write('NumberPoolsServer2 = ' + repr(NumberPoolsServer2) + '\n')
+	f.write('NumberClients = ' + repr(NumberClients) + '\n')
+	f.write('NumberServers = ' + repr(NumberServers) + '\n')
+	f.write('Duration = ' + repr(Duration) + '\n')
+	f.write('ATMdomain = ' + repr(ATMdomain) + '\n')
+	f.write('/\n\n')
+
+	f.close()
+
 
 	nb_proc = NumberClients+NumberServers
Index: /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_axis_algo/param.def
===================================================================
--- /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_axis_algo/param.def	(revision 1712)
+++ /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_axis_algo/param.def	(revision 1713)
@@ -1,10 +1,5 @@
 &params_run
-UsingServer2 = true
-RatioServer2 = 50
-NumberPoolsServer2 = 1
 nb_proc_atm = 8
-NumberServers = 4
 duration = '1d'
-ATMdomain = lmdz
 /
 
Index: /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_axis_algo/user_params.def
===================================================================
--- /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_axis_algo/user_params.def	(revision 1712)
+++ /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_axis_algo/user_params.def	(revision 1713)
@@ -12,4 +12,5 @@
 
 NumberServers = 2, 4
+ATMdomain='lmdz'
 UsingServer2 = 'false', 'true'
 # Duration = '1d', '2d'
Index: /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/param.def
===================================================================
--- /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/param.def	(revision 1712)
+++ /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/param.def	(revision 1713)
@@ -1,10 +1,5 @@
 &params_run
-UsingServer2 = true
-RatioServer2 = 50
-NumberPoolsServer2 = 1
 nb_proc_atm = 8
-NumberServers = 4
 duration = '1d'
-ATMdomain = lmdz
 /
 
Index: /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/user_params.def
===================================================================
--- /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/user_params.def	(revision 1712)
+++ /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/user_params.def	(revision 1713)
Index: /XIOS/dev/dev_trunk_omp/src/test/generic_testcase.f90
===================================================================
--- /XIOS/dev/dev_trunk_omp/src/test/generic_testcase.f90	(revision 1712)
+++ /XIOS/dev/dev_trunk_omp/src/test/generic_testcase.f90	(revision 1713)
@@ -11,8 +11,4 @@
   INTEGER :: nb_proc_oce
   INTEGER :: nb_proc_surf
-  INTEGER :: NumberPoolsServer2
-  LOGICAL :: UsingServer2
-  INTEGER :: RatioServer2
-  INTEGER :: NumberServers
   CHARACTER(LEN=len_str)  :: proc_distribution
   CHARACTER(LEN=len_str)  :: start_date
@@ -20,6 +16,5 @@
   DOUBLE PRECISION        :: sypd
   NAMELIST /params_run/    nb_proc_atm, nb_proc_surf, nb_proc_oce, & 
-                           duration, sypd, start_date, proc_distribution, NumberPoolsServer2, &
-                           UsingServer2, RatioServer2, NumberServers
+                           duration, sypd, start_date, proc_distribution
 
 
@@ -68,8 +63,5 @@
   start_date="2018-01-01"
   proc_distribution="contiguous"
-  NumberPoolsServer2=1
-  UsingServer2=.false.
-  RatioServer2=50
-  NumberServers=4
+  
   READ (unit, nml=params_run)
   CLOSE(unit)