Index: /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/check.py
===================================================================
--- /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/check.py	(revision 1719)
+++ /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/check.py	(revision 1720)
@@ -6,4 +6,13 @@
 
 def main():
+
+	black = lambda text: '\033[0;30m' + text + '\033[0m'
+	red = lambda text: '\033[0;31m' + text + '\033[0m'
+	green = lambda text: '\033[0;32m' + text + '\033[0m'
+	yellow = lambda text: '\033[0;33m' + text + '\033[0m'
+	blue = lambda text: '\033[0;34m' + text + '\033[0m'
+	magenta = lambda text: '\033[0;35m' + text + '\033[0m'
+	cyan = lambda text: '\033[0;36m' + text + '\033[0m'
+	white = lambda text: '\033[0;37m' + text + '\033[0m'
 	
 	configNamePattern=[0]*7
@@ -43,8 +52,8 @@
 	if not os.path.exists(configName):
 		os.mkdir(configName)
-		print("\n    ****************************************************************")
-		print("    * Directory " + repr(configName) + " Created ")
-		print("    * Copy results to \'not_validated_reference\' folder")
-		print("    ****************************************************************\n")
+		print blue("\n    ****************************************************************")
+		print blue("    * Directory " + repr(configName) + " Created ")
+		print blue("    * Copy results to \'not_validated_reference\' folder")
+		print blue("    ****************************************************************\n")
 
 		os.mkdir(configName+'/setup')
@@ -68,8 +77,8 @@
 				os.system(cmd)
 
-				h.write("test for "+configName+" for file "+line+"     \tINITIALIZED\n")		
-				print "\n        ****************************************"
-				print "        ** "+line+" is stored as temporal reference !!! **"
-				print "\n        ****************************************"
+				h.write("test for "+configName+" for file "+line+"     \t"+yellow('INITIALIZED')+"\n")		
+				print yellow("\n        ****************************************")
+				print yellow("        ** "+line+" is stored as temporal reference !!! **")
+				print yellow("\n        ****************************************")
 				
 		f.close()
@@ -78,8 +87,8 @@
 
 	else:    
-		print("\n    ********************************************************")
-		print("    * Directory " + repr(configName) + " already exists")
-		print("    * Start comparing results with (tmp) references")
-		print("    ********************************************************\n")
+		print blue("\n    ********************************************************")
+		print blue("    * Directory " + repr(configName) + " already exists")
+		print blue("    * Start comparing results with (tmp) references")
+		print blue("    ********************************************************\n")
 
 		tmp_ref = os.path.isdir(configName+'/tmp_reference')
@@ -87,14 +96,14 @@
 
 		if ref:
-			print("\n    =====================================")
-			print("    | Comparing results with references |")
-			print("    =====================================\n")
+			print blue("\n    =====================================")
+			print blue("    | Comparing results with references |")
+			print blue("    =====================================\n")
 			os.system('rm -rf '+configName+'/tmp_reference/')
 			tmp_ref = False
 			path = configName+'/reference/'
 		elif tmp_ref:
-			print("\n    ===================================================")
-			print("    | Comparing results with NON-Validated references |")
-			print("    ===================================================\n")
+			print blue("\n    ===================================================")
+			print blue("    | Comparing results with NON-Validated references |")
+			print blue("    ===================================================\n")
 			path = ' '+configName+'/tmp_reference/'
 		
@@ -113,8 +122,8 @@
 
 				if os.stat("diff.txt").st_size==0:
-					h.write("test for "+configName+" for file "+line+"     \tPASSED\n")		
-					print "\n        ****************************************"
-					print "        ** "+line+" is valid !!! **"
-					print "\n        ****************************************"
+					h.write("test for "+configName+" for file "+line+"     \t"+green('PASSED')+"\n")		
+					print green("\n        ****************************************")
+					print green("        ** "+line+" is valid !!! **")
+					print green("\n        ****************************************")
 
 				else:	
@@ -122,13 +131,13 @@
 					for gline in g:
 						if gline.strip().startswith("0") or ":" in gline :
-							h.write("test for "+configName+" for file "+line+"     \tPASSED\n")		
-							print "\n        ****************************************"
-							print "        ** "+line+" is valid !!! **"
-							print "\n        ****************************************"
+							h.write("test for "+configName+" for file "+line+"      \t"+green('PASSED')+"\n")		
+							print green("\n        ****************************************")
+							print green("        ** "+line+" is valid !!! **")
+							print green("\n        ****************************************")
 						else:
-							h.write("test for "+configName+" for file "+line+"     \tFAILED\n")		
-							print "\n        **************************************************"
-							print "        ** "+line+" is NOT valid. Please debugging.. **"
-							print "\n        **************************************************"
+							h.write("test for "+configName+" for file "+line+"     \t"+red('FAILED')+"\n")		
+							print red("\n        **************************************************")
+							print red("        ** "+line+" is NOT valid. Please debugging.. **")
+							print red("\n        **************************************************")
 					g.close()
 		f.close()
Index: /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_average/context_atm.xml
===================================================================
--- /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_average/context_atm.xml	(revision 1719)
+++ /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_average/context_atm.xml	(revision 1720)
@@ -394,11 +394,11 @@
        <field field_ref="field3D_resend_W" operation="average" />
 
-       <field field_ref="field_XW" enabled="false" />
-       <field field_ref="field_YW" enabled="false" />
-       <field field_ref="field_XYW" enabled="false" />
-       <field field_ref="field_ZW" enabled="false" />
-       <field field_ref="field_XYZW" enabled="false" />
-       <field field_ref="field_XZW" enabled="false" />
-       <field field_ref="field_YZW" enabled="false" />
+       <field field_ref="field_XW" operation="average" enabled="false" />
+       <field field_ref="field_YW" operation="average" enabled="false" />
+       <field field_ref="field_XYW" operation="average" enabled="false" />
+       <field field_ref="field_ZW" operation="average" enabled="false" />
+       <field field_ref="field_XYZW" operation="average" enabled="false" />
+       <field field_ref="field_XZW" operation="average" enabled="false" />
+       <field field_ref="field_YZW" operation="average" enabled="false" />
     </file>
 
Index: /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_maximum/checkfile.def
===================================================================
--- /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_maximum/checkfile.def	(revision 1719)
+++ /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_maximum/checkfile.def	(revision 1720)
@@ -1,2 +1,3 @@
 
-atm_output_max.nc
+atm_output.nc
+atm_output_ensemble.nc
Index: /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_maximum/context_atm.xml
===================================================================
--- /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_maximum/context_atm.xml	(revision 1719)
+++ /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_maximum/context_atm.xml	(revision 1720)
@@ -365,8 +365,40 @@
     
 
-     <file id="atm_output_max" output_freq="4ts" enabled="true">
-       <field id="field2D_max" field_ref="field2D" operation="maximum" enabled="true"/>
-
-       <field id="field3D_max" field_ref="field3D" operation="maximum" enabled="true"/>
+    <file id="atm_output" output_freq="4ts" enabled="true" >
+       
+       <field field_ref="field2D" operation="maximum"/>
+       <field field_ref="field3D" operation="maximum"/>
+       <field field_ref="pressure" operation="maximum" />
+       <field field_ref="field3D_recv" operation="maximum" />
+       <field field_ref="field3D_resend" operation="maximum" />
+       
+       <field field_ref="field_X" operation="maximum" />
+       <field field_ref="field_Y" operation="maximum" />
+       <field field_ref="field_Z" operation="maximum" />
+       <field field_ref="field_XY" operation="maximum" />
+       <field field_ref="field_XYZ" operation="maximum" />
+       <field field_ref="field_XZ" operation="maximum" />
+       <field field_ref="field_YZ" operation="maximum" />
+       
+       <field field_ref="field_zoom_vert" operation="maximum" />
+       <field field_ref="field_zoom_vert_sum" operation="maximum" />
+       
+    </file>
+
+
+    <file id="atm_output_ensemble" output_freq="4ts" enabled="true">
+       <field field_ref="field2D_W" operation="maximum" />
+       <field field_ref="field3D_W" operation="maximum" />
+       <field field_ref="pressure_W" operation="maximum" />
+       <field field_ref="field3D_recv_W" operation="maximum" />
+       <field field_ref="field3D_resend_W" operation="maximum" />
+
+       <field field_ref="field_XW" operation="maximum" enabled="false" />
+       <field field_ref="field_YW" operation="maximum" enabled="false" />
+       <field field_ref="field_XYW" operation="maximum" enabled="false" />
+       <field field_ref="field_ZW" operation="maximum" enabled="false" />
+       <field field_ref="field_XYZW" operation="maximum" enabled="false" />
+       <field field_ref="field_XZW" operation="maximum" enabled="false" />
+       <field field_ref="field_YZW" operation="maximum" enabled="false" />
     </file>
 
@@ -384,16 +416,4 @@
     </file>
 
-    <file id="atm_output_W" output_freq="1ts" enabled="false">
-       <field field_ref="field3D_W" enabled="true"/>
-       <field field_ref="field2D_W" enabled="true"/> 
-       <field field_ref="field_XW" enabled="true"/>
-       <field field_ref="field_YW" enabled="true"/>
-       <field field_ref="field_XYW" enabled="true"/>
-       <field field_ref="field_ZW" enabled="true"/>
-       <field field_ref="field_XYZW" enabled="true"/>
-       <field field_ref="field_XZW" enabled="true"/>
-       <field field_ref="field_YZW" enabled="true"/>
-    </file>
-    
 
     <file id="atm_output_reorder" output_freq="1ts" enabled="false" >
Index: /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_minimum/checkfile.def
===================================================================
--- /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_minimum/checkfile.def	(revision 1719)
+++ /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_minimum/checkfile.def	(revision 1720)
@@ -1,2 +1,3 @@
 
-atm_output_min.nc
+atm_output.nc
+atm_output_ensemble.nc
Index: /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_minimum/context_atm.xml
===================================================================
--- /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_minimum/context_atm.xml	(revision 1719)
+++ /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_minimum/context_atm.xml	(revision 1720)
@@ -365,8 +365,40 @@
     
 
-     <file id="atm_output_min" output_freq="4ts" enabled="true">
-       <field id="field2D_min" field_ref="field2D" operation="minimum" enabled="true"/>
-
-       <field id="field3D_min" field_ref="field3D" operation="minimum" enabled="true"/>
+     <file id="atm_output" output_freq="4ts" enabled="true" >
+       
+       <field field_ref="field2D" operation="minimum"/>
+       <field field_ref="field3D" operation="minimum"/>
+       <field field_ref="pressure" operation="minimum" />
+       <field field_ref="field3D_recv" operation="minimum" />
+       <field field_ref="field3D_resend" operation="minimum" />
+       
+       <field field_ref="field_X" operation="minimum" />
+       <field field_ref="field_Y" operation="minimum" />
+       <field field_ref="field_Z" operation="minimum" />
+       <field field_ref="field_XY" operation="minimum" />
+       <field field_ref="field_XYZ" operation="minimum" />
+       <field field_ref="field_XZ" operation="minimum" />
+       <field field_ref="field_YZ" operation="minimum" />
+       
+       <field field_ref="field_zoom_vert" operation="minimum" />
+       <field field_ref="field_zoom_vert_sum" operation="minimum" />
+       
+    </file>
+
+
+    <file id="atm_output_ensemble" output_freq="4ts" enabled="true">
+       <field field_ref="field2D_W" operation="minimum" />
+       <field field_ref="field3D_W" operation="minimum" />
+       <field field_ref="pressure_W" operation="minimum" />
+       <field field_ref="field3D_recv_W" operation="minimum" />
+       <field field_ref="field3D_resend_W" operation="minimum" />
+
+       <field field_ref="field_XW" operation="minimum" enabled="false" />
+       <field field_ref="field_YW" operation="minimum" enabled="false" />
+       <field field_ref="field_XYW" operation="minimum" enabled="false" />
+       <field field_ref="field_ZW" operation="minimum" enabled="false" />
+       <field field_ref="field_XYZW" operation="minimum" enabled="false" />
+       <field field_ref="field_XZW" operation="minimum" enabled="false" />
+       <field field_ref="field_YZW" operation="minimum" enabled="false" />
     </file>
 
@@ -384,15 +416,4 @@
     </file>
 
-    <file id="atm_output_W" output_freq="1ts" enabled="false">
-       <field field_ref="field3D_W" enabled="true"/>
-       <field field_ref="field2D_W" enabled="true"/> 
-       <field field_ref="field_XW" enabled="true"/>
-       <field field_ref="field_YW" enabled="true"/>
-       <field field_ref="field_XYW" enabled="true"/>
-       <field field_ref="field_ZW" enabled="true"/>
-       <field field_ref="field_XYZW" enabled="true"/>
-       <field field_ref="field_XZW" enabled="true"/>
-       <field field_ref="field_YZW" enabled="true"/>
-    </file>
     
 
Index: /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_sum/checkfile.def
===================================================================
--- /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_sum/checkfile.def	(revision 1719)
+++ /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_sum/checkfile.def	(revision 1720)
@@ -1,2 +1,3 @@
 
-atm_output_sum.nc
+atm_output.nc
+atm_output_ensemble.nc
Index: /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_sum/context_atm.xml
===================================================================
--- /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_sum/context_atm.xml	(revision 1719)
+++ /XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_function/test_sum/context_atm.xml	(revision 1720)
@@ -365,8 +365,40 @@
     
 
-     <file id="atm_output_sum" output_freq="4ts" enabled="true">
-       <field id="field2D_sum" field_ref="field2D" operation="accumulate" enabled="true"/>
-
-       <field id="field3D_sum" field_ref="field3D" operation="accumulate" enabled="true"/>
+    <file id="atm_output" output_freq="4ts" enabled="true" >
+       
+       <field field_ref="field2D" operation="accumulate"/>
+       <field field_ref="field3D" operation="accumulate"/>
+       <field field_ref="pressure" operation="accumulate" />
+       <field field_ref="field3D_recv" operation="accumulate" />
+       <field field_ref="field3D_resend" operation="accumulate" />
+       
+       <field field_ref="field_X" operation="accumulate" />
+       <field field_ref="field_Y" operation="accumulate" />
+       <field field_ref="field_Z" operation="accumulate" />
+       <field field_ref="field_XY" operation="accumulate" />
+       <field field_ref="field_XYZ" operation="accumulate" />
+       <field field_ref="field_XZ" operation="accumulate" />
+       <field field_ref="field_YZ" operation="accumulate" />
+       
+       <field field_ref="field_zoom_vert" operation="accumulate" />
+       <field field_ref="field_zoom_vert_sum" operation="accumulate" />
+       
+    </file>
+
+
+    <file id="atm_output_ensemble" output_freq="4ts" enabled="true">
+       <field field_ref="field2D_W" operation="accumulate" />
+       <field field_ref="field3D_W" operation="accumulate" />
+       <field field_ref="pressure_W" operation="accumulate" />
+       <field field_ref="field3D_recv_W" operation="accumulate" />
+       <field field_ref="field3D_resend_W" operation="accumulate" />
+
+       <field field_ref="field_XW" operation="accumulate" enabled="false" />
+       <field field_ref="field_YW" operation="accumulate" enabled="false" />
+       <field field_ref="field_XYW" operation="accumulate" enabled="false" />
+       <field field_ref="field_ZW" operation="accumulate" enabled="false" />
+       <field field_ref="field_XYZW" operation="accumulate" enabled="false" />
+       <field field_ref="field_XZW" operation="accumulate" enabled="false" />
+       <field field_ref="field_YZW" operation="accumulate" enabled="false" />
     </file>
 
@@ -384,15 +416,4 @@
     </file>
 
-    <file id="atm_output_W" output_freq="1ts" enabled="false">
-       <field field_ref="field3D_W" enabled="true"/>
-       <field field_ref="field2D_W" enabled="true"/> 
-       <field field_ref="field_XW" enabled="true"/>
-       <field field_ref="field_YW" enabled="true"/>
-       <field field_ref="field_XYW" enabled="true"/>
-       <field field_ref="field_ZW" enabled="true"/>
-       <field field_ref="field_XYZW" enabled="true"/>
-       <field field_ref="field_XZW" enabled="true"/>
-       <field field_ref="field_YZW" enabled="true"/>
-    </file>
     
 