Index: XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_axis_algo/checkfile.def
===================================================================
--- XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_axis_algo/checkfile.def	(revision 1723)
+++ XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_axis_algo/checkfile.def	(revision 1725)
@@ -1,4 +1,3 @@
-#atm_output_1.nc
 
-atm_output.nc
-atm_output_copy.nc
+atm_output_zoom.nc
+#atm_output_inverse.nc
Index: XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_axis_algo/context_atm.xml
===================================================================
--- XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_axis_algo/context_atm.xml	(revision 1723)
+++ XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_axis_algo/context_atm.xml	(revision 1725)
@@ -26,10 +26,13 @@
         <zoom_axis begin="0" n="5"/>
     </axis>
+
     <axis id="domain_X_zoom" axis_ref="domain_X">
         <zoom_axis begin="0" n="10"/>
     </axis>
+
     <axis id="domain_Y_zoom" axis_ref="domain_Y">
         <zoom_axis begin="3" n="5"/>
     </axis>
+
   </axis_definition>
 
@@ -149,9 +152,8 @@
       <axis axis_ref="domain_X_zoom" />
       <axis axis_ref="domain_Y" />
-
-    </grid>
-
- 
- 
+    </grid>
+
+
+
  
  
@@ -387,12 +389,7 @@
   
 
-     <file id="atm_output" output_freq="1ts" enabled="true">
-       <field id="fieldXY_zoomY" field_ref="field_XY" grid_ref="grid_XY_zoom_Y" operation="instant" enabled="true"/>
-    </file>
-  
-    <file id="atm_output_copy" output_freq="1ts" enabled="true">
-       <field id="fieldXY_zoomY_copy" field_ref="field_XY" grid_ref="grid_XY_zoom_Y" operation="once" enabled="true"/>
-       <field id="fieldXY_zoomX" field_ref="field_XY" grid_ref="grid_XY_zoom_X" operation="once" enabled="false"/>
-    </file>
+     <file id="atm_output_zoom" output_freq="1ts" enabled="true">
+       <field field_ref="field_XY" grid_ref="grid_XY_zoom_Y" operation="instant" enabled="true"/>
+     </file>
 
 
Index: XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_axis_algo/run_sub_test.sh
===================================================================
--- XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_axis_algo/run_sub_test.sh	(revision 1723)
+++ XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_axis_algo/run_sub_test.sh	(revision 1725)
@@ -35,8 +35,9 @@
 touch report.html
 > report.html
-echo "<p> </p> " >> report.html
-echo "<p> </p> " >> report.html
+echo "<br> " >> report.html
+echo "<br> " >> report.html
+echo "<br> " >> report.html
 echo "<p>testing  <font color="blue">axis</font> algorithms...</p>" >> report.html 
-echo "<p> </p> " >> report.html
+echo "<br> " >> report.html
 
 nb_config=$(python sub_config1.py 2>&1)                                                                                                                    
@@ -54,10 +55,23 @@
 
 nb_proc=$(python sub_config2.py 2>&1) 
+nb_jz=$(($nb_proc-1))
 
-if [$machine_name == irene]
+if [[ ($machine_name == irene) ]]
 then
     ccc_mprun -n $nb_proc ../../build_prod/bin/generic_testcase.exe
+elif [[($machine_name == ada)]]
+then
+    echo "Testing on ADA"
+    mpirun -np $nb_proc ../../build_prod/bin/generic_testcase.exe
+elif [[($machine_name == jeanzay)]]
+then
+    echo "Testing on Jean-Zay" 
+    # touch srun.conf
+    # > srun.conf
+    # echo "0-"$nb_jz " ../../build_prod/bin/generic_testcase.exe">> srun.conf
+    # srun --mpi=pmi2 -K1 --multi-prog -m cyclic ./srun.conf 
+    srun -n $nb_proc --mpi=pmi2 ../../build_prod/bin/generic_testcase.exe
 else
-    mpirun -np $nb_proc ../../build_prod/bin/generic_testcase.exe
+    echo "other machine"
 fi
 
Index: XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_axis_algo/user_params.def
===================================================================
--- XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_axis_algo/user_params.def	(revision 1723)
+++ XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/test_axis_algo/user_params.def	(revision 1725)
@@ -11,7 +11,7 @@
 # e.g. NumberServers = 2, 4, 8  
 
-NumberServers = 2, 4
+NumberServers = 2
 ATMdomain='lmdz'
-UsingServer2 = 'false', 'true'
+UsingServer2 = 'true'
 # Duration = '1d', '2d'
 # NumberPoolsServer2 = 1