Index: XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/check.py
===================================================================
--- XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/check.py	(revision 1780)
+++ XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/check.py	(revision 1781)
@@ -185,4 +185,6 @@
 		configName = "config_default"
 
+	
+
 
 	if not os.path.exists(configName):
@@ -282,4 +284,5 @@
 		ref = os.path.isdir(configName+'/reference') and not tmp_ref
 
+
 		if ref:
 			print blue("\n    =====================================")
@@ -287,4 +290,5 @@
 			print blue("    =====================================\n")
 			path = configName+'/reference/'
+			OSinfo('cp '+configName+'/setup/user_param.py '+configName+'/setup/user_param.def ')
 		elif tmp_ref:
 			print blue("\n    ===================================================")
@@ -292,4 +296,5 @@
 			print blue("    ===================================================\n")
 			path = configName+'/tmp_reference/'
+			OSinfo('cp '+configName+'/setup/user_param.py '+configName+'/setup/user_param.def ')
 		
 		f=open("checkfile.def", "r")
Index: XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/copy_from_reference.py
===================================================================
--- XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/copy_from_reference.py	(revision 1780)
+++ 	(revision )
@@ -1,58 +1,0 @@
-import os
-import sys
-import socket
-
-
-def main():
-
-	black = lambda text: '\033[0;30m' + text + '\033[0m'
-	red = lambda text: '\033[0;31m' + text + '\033[0m'
-	green = lambda text: '\033[0;32m' + text + '\033[0m'
-	yellow = lambda text: '\033[0;33m' + text + '\033[0m'
-	blue = lambda text: '\033[0;34m' + text + '\033[0m'
-	magenta = lambda text: '\033[0;35m' + text + '\033[0m'
-	cyan = lambda text: '\033[0;36m' + text + '\033[0m'
-	lgray = lambda text: '\033[0;37m' + text + '\033[0m'
-	dgray = lambda text: '\033[1;30m' + text + '\033[0m'
-	lred = lambda text: '\033[1;32m' + text + '\033[0m'
-	lgreen = lambda text: '\033[1;32m' + text + '\033[0m'
-	lyellow = lambda text: '\033[1;33m' + text + '\033[0m'
-	lblue = lambda text: '\033[1;34m' + text + '\033[0m'
-	lpurple = lambda text: '\033[1;35m' + text + '\033[0m'
-	lcyan = lambda text: '\033[1;36m' + text + '\033[0m'
-	white = lambda text: '\033[1;37m' + text + '\033[0m'
-
-	hostname=socket.gethostname()
-
-	if hostname.startswith("jean-zay"):
-		print("using JZ")
-		zipdir=os.environ['WORK']+'/JZ_Xios_reference'
-	elif hostname.startswith("irene"):
-		print("using Irene")
-		zipdir=os.environ['CCCWORKDIR']+'/Irene_Xios_reference'
-	else :
-		print("using other machine")
-		sys.exit()
-
-	
-
-	if not os.path.isdir(zipdir):
-		os.system("mkdir "+zipdir)
-
-	my_list = os.listdir(os.getcwd())
-
-	test_list=[]
-	for folder in my_list:
-		if folder.startswith("test_"):
-			test_list.append(folder)
-
-	for folder in test_list:
-		os.system('unzip -oq '+zipdir+'/'+folder+'.zip'+' -d ./' )
-		# print('unzip -oq '+zipdir+'/'+folder+'.zip'+' -d ./' )
-		print(cyan(folder)+' reference retrived from archive in '+zipdir)
-
-
-
-if __name__== "__main__":
-  main()
-# unzip -oq /gpfswork/rech/psl/rpsl954/JZ_Xios_reference/test_function.zip -d ./
Index: XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/job_jeanzay.sh
===================================================================
--- XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/job_jeanzay.sh	(revision 1781)
+++ XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/job_jeanzay.sh	(revision 1781)
@@ -0,0 +1,139 @@
+#!/bin/bash
+##SBATCH --nodes=2
+#SBATCH --ntasks=8              # Nombre total de processus MPI
+#SBATCH --ntasks-per-node=16
+##SBATCH --cpus-per-task=1
+#SBATCH --hint=nomultithread
+#SBATCH -t 00:10:00              # Temps elapsed maximum d'exÃ©cution
+#SBATCH -o output.out     # Nom du fichier de sortie
+#SBATCH -e error.err     # Nom du fichier d'erreur
+##SBATCH -p cpu_port             # Nom de la partition d'exÃ©cution
+##SBATCH -A sos@cpu
+##SBATCH --distribution=arbitrary
+#SBATCH --account=psl@cpu
+
+
+cd ${SLURM_SUBMIT_DIR}
+module unload intel-all hdf5 netcdf netcdf-cxx netcdf-fortran
+module load intel-all/19.0.4
+module load hdf5/1.10.5/intel-19.0.4-mpi
+module load netcdf/4.7.2/intel-19.0.4-mpi
+module load netcdf-cxx/4.2/intel-19.0.4-mpi
+module load netcdf-fortran/4.5.2/intel-19.0.4-mpi
+
+module load cmake
+module load cdo
+module load subversion
+#module load arm-forge
+
+ulimit -c 0
+#export ALLINEA_NO_TIMEOUT=1
+
+
+# Compile XIOS in case of newer revision
+bash -c "cd .. && ./make_xios --arch X64_JEANZAY --prod --omp --job 4 --build_dir build_prod"
+
+# Copy and extract reference from store
+cp $STORE/XIOS/reference/*.zip ./ZIP
+for i in $(ls  ZIP/)
+do
+  echo ${i%%}
+  folder=$(echo ${i%%} | sed -e 's/\(.zip\)*$//g')
+  echo $folder
+  bash -c "cd $folder && rm -rf config_*"  
+  bash -c "cp ZIP/${i%%} ./ && unzip ${i%%} && rm -f ${i%%}"
+done
+
+rm -rf test_domain_algo/config_*
+
+export machine_name=jeanzay
+export machine_full_name=Jean-Zay
+export build_dir=build_prod
+export xios_dir=/gpfswork/rech/psl/rpsl954/xios/dev_trunk_omp
+
+rm -f plein_report.txt
+echo -n "#revision " >> plein_report.txt
+svn info --show-item revision .. >> plein_report.txt
+echo -n "#relurl " >> plein_report.txt
+svn info --show-item relative-url .. >> plein_report.txt
+echo -n "#machine " >> plein_report.txt
+echo $machine_name >> plein_report.txt
+echo -n "#build_dir " >> plein_report.txt
+echo $xios_dir/$build_dir >> plein_report.txt
+
+export arch_dir=$(readlink ../$build_dir/arch.fcm .. 2>&1)
+echo $arch_dir
+my_arch=$(echo $arch_dir | sed 's|.*/arch-||' | sed 's|\(.*\).fcm.*|\1|' 2>&1)
+echo $my_arch
+
+
+echo -n "#arch " >> plein_report.txt
+echo $my_arch >> plein_report.txt
+
+export xios_revision=$(svn info --show-item revision .. 2>&1)
+echo $xios_revision
+
+rm -f setup.sh
+touch setup.sh
+>setup.sh
+for i in $(ls -d test_*/)
+do
+  cp setup.py ${i%%/}      
+  cp run_sub_test.sh ${i%%/}      
+  echo "bash -c \"cd " ${i%%/} " && python setup.py \" ">> setup.sh
+  echo "echo \"setup.py called from " ${i%%/} "\"">> setup.sh
+done
+
+export output=$(python user_config.py 2>&1 >/dev/null)
+
+if [ "$output" -ne 0 ]
+then
+	echo "user_config.py failed"
+	exit
+else
+	echo "user_config.py OK"
+fi
+
+
+cmake .
+ctest -V 
+#ctest --output-on-failure
+make report
+
+#echo "Generic testcase report" | mailx -s "report" -a report.html yushan.wang@lsce.ipsl.fr
+
+rm -f test_*/setup.py
+rm -f test_*/run_sub_test.sh
+rm -f test_*/run_test_*.py
+rm -f test_*/CMakeLists.txt
+rm -f test_*/context_grid_dynamico.xml
+rm -f test_*/dynamico_grid.nc
+rm -f test_*/default_param.pyc
+rm -f test_*/user_param.pyc
+rm -f test_*/user_param.py.*
+
+
+
+cp plein_report.txt ../html/jz_plein_report_$xios_revision.txt
+
+mkdir -p ../$machine_full_name
+mkdir -p ../$machine_full_name/$xios_revision
+mkdir -p ../$machine_full_name/$xios_revision/GENERIC_TESTCASE
+
+bash -c "cd ../html/ && python generate.py"
+
+for i in $(ls -d test_*/)
+do
+  mkdir -p ../$machine_full_name/$xios_revision/GENERIC_TESTCASE/${i%%} 
+  cp ${i%%/}/user_params.def ../$machine_full_name/$xios_revision/GENERIC_TESTCASE/${i%%/}      
+  for j in $(ls -d ${i%%/}/config_*/)
+  do
+    mkdir -p ../$machine_full_name/$xios_revision/GENERIC_TESTCASE/${j%%/}
+    mkdir -p ../$machine_full_name/$xios_revision/GENERIC_TESTCASE/${j%%/}/setup
+    cp ${j%%/}/setup/all_param.def ../$machine_full_name/$xios_revision/GENERIC_TESTCASE/${j%%/}/setup
+    cp ${j%%/}/setup/user_param.def ../$machine_full_name/$xios_revision/GENERIC_TESTCASE/${j%%/}/setup
+  done
+
+done
+
+
Index: XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/job_jz.sh
===================================================================
--- XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/job_jz.sh	(revision 1780)
+++ 	(revision )
@@ -1,113 +1,0 @@
-#!/bin/bash
-##SBATCH --nodes=2
-#SBATCH --ntasks=8              # Nombre total de processus MPI
-#SBATCH --ntasks-per-node=16
-##SBATCH --cpus-per-task=1
-#SBATCH --hint=nomultithread
-#SBATCH -t 00:10:00              # Temps elapsed maximum d'exÃ©cution
-#SBATCH -o output.out     # Nom du fichier de sortie
-#SBATCH -e error.err     # Nom du fichier d'erreur
-##SBATCH -p cpu_port             # Nom de la partition d'exÃ©cution
-##SBATCH -A sos@cpu
-##SBATCH --distribution=arbitrary
-#SBATCH --account=psl@cpu
-
-
-cd ${SLURM_SUBMIT_DIR}
-module unload intel-all hdf5 netcdf netcdf-cxx netcdf-fortran
-module load intel-all/19.0.4
-module load hdf5/1.10.5/intel-19.0.4-mpi
-module load netcdf/4.7.2/intel-19.0.4-mpi
-module load netcdf-cxx/4.2/intel-19.0.4-mpi
-module load netcdf-fortran/4.5.2/intel-19.0.4-mpi
-
-#module purge
-#module load intel-all/19.0.4
-#module load netcdf/4.7.0/intel-19.0.4-mpi
-#module load netcdf-cxx/4.2/intel-19.0.4-mpi
-#module load netcdf-fortran/4.4.5/intel-19.0.4-mpi
-#module load gcc/6.5.0/gcc-4.8.5
-module load cmake
-module load cdo
-module load subversion
-#module load arm-forge
-
-ulimit -c 0
-#export ALLINEA_NO_TIMEOUT=1
-
-#ddt --connect srun --mpi=pmi2 -K1 -m block:block --multi-prog ./mpmd_srun.conf
-#srun --mpi=pmi2 -K1 --multi-prog -m cyclic ./mpmd_srun.conf
-export machine_name=jeanzay
-export xios_dir=/gpfswork/rech/psl/rpsl954/xios/dev_trunk_omp
-export build_dir=build_prod
-
-# python user_config.py
-
-rm -f plein_report.txt
-echo -n "#revision " >> plein_report.txt
-svn info --show-item revision .. >> plein_report.txt
-# echo -n "#url " >> plein_report.txt
-# svn info --show-item url .. >> plein_report.txt
-echo -n "#relurl " >> plein_report.txt
-svn info --show-item relative-url .. >> plein_report.txt
-echo -n "#machine " >> plein_report.txt
-echo $machine_name >> plein_report.txt
-echo -n "#build_dir " >> plein_report.txt
-echo $build_dir >> plein_report.txt
-
-export arch_dir=$(readlink ../$build_dir/arch.fcm .. 2>&1)
-echo $arch_dir
-my_arch=$(echo $arch_dir | sed 's|.*/arch-||' | sed 's|\(.*\).fcm.*|\1|' 2>&1)
-echo $my_arch
-
-
-echo -n "#arch " >> plein_report.txt
-echo $my_arch >> plein_report.txt
-
-export xios_revision=$(svn info --show-item revision .. 2>&1)
-echo $xios_revision
-
-rm -f setup.sh
-touch setup.sh
->setup.sh
-for i in $(ls -d test_*/)
-do
-  cp setup.py ${i%%/}      
-  cp run_sub_test.sh ${i%%/}      
-  echo "bash -c \"cd " ${i%%/} " && python setup.py \" ">> setup.sh
-  echo "echo \"setup.py called from " ${i%%/} "\"">> setup.sh
-done
-
-export output=$(python user_config.py 2>&1 >/dev/null)
-
-if [ "$output" -ne 0 ]
-then
-	echo "user_config.py failed"
-	exit
-else
-	echo "user_config.py OK"
-fi
-
-
-cmake .
-ctest -V 
-#ctest --output-on-failure
-make report
-
-#echo "Generic testcase report" | mailx -s "report" -a report.html yushan.wang@lsce.ipsl.fr
-
-rm -f test_*/setup.py
-rm -f test_*/run_sub_test.sh
-rm -f test_*/run_test_*.py
-rm -f test_*/CMakeLists.txt
-rm -f test_*/context_grid_dynamico.xml
-rm -f test_*/dynamico_grid.nc
-rm -f test_*/default_param.pyc
-rm -f test_*/user_param.pyc
-rm -f test_*/user_param.py.*
-
-
-#srun --mpi=pmi2 -K1 --multi-prog -m cyclic ./srun.conf
-#srun --mpi=pmi2 ../bin/test_client.exe
-
-#cp plein_report.txt ../Web/plein_report_$xios_revision.txt
Index: XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/plein_report_example.txt
===================================================================
--- XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/plein_report_example.txt	(revision 1780)
+++ 	(revision )
@@ -1,32 +1,0 @@
-#1772
-test_domain_algo domain_algo@config_UsingSrv2=true_NbServers=2_ATMdomain=lmdz domain_algo@UsingSrv2=true_NbServers=2_ATMdomain=lmdz@atm_output.nc -1 
-test_domain_algo domain_algo@config_UsingSrv2=true_NbServers=2_ATMdomain=lmdz domain_algo@UsingSrv2=true_NbServers=2_ATMdomain=lmdz@atm_output_expand.nc 0 
-test_domain_algo domain_algo@config_UsingSrv2=true_NbServers=2_ATMdomain=lmdz domain_algo@UsingSrv2=true_NbServers=2_ATMdomain=lmdz@atm_output_extract.nc -1 
-test_domain_algo domain_algo@config_UsingSrv2=true_NbServers=2_ATMdomain=lmdz domain_algo@UsingSrv2=true_NbServers=2_ATMdomain=lmdz@atm_output_interpolate.nc 1 
-test_domain_algo domain_algo@config_UsingSrv2=true_NbServers=2_ATMdomain=lmdz domain_algo@UsingSrv2=true_NbServers=2_ATMdomain=lmdz@atm_output_zoom.nc 1 
-test_domain_algo domain_algo@config_UsingSrv2=true_NbServers=4_ATMdomain=lmdz domain_algo@UsingSrv2=true_NbServers=4_ATMdomain=lmdz@atm_output.nc 1 
-test_domain_algo domain_algo@config_UsingSrv2=true_NbServers=4_ATMdomain=lmdz domain_algo@UsingSrv2=true_NbServers=4_ATMdomain=lmdz@atm_output_expand.nc 1 
-test_domain_algo domain_algo@config_UsingSrv2=true_NbServers=4_ATMdomain=lmdz domain_algo@UsingSrv2=true_NbServers=4_ATMdomain=lmdz@atm_output_extract.nc 1 
-test_domain_algo domain_algo@config_UsingSrv2=true_NbServers=4_ATMdomain=lmdz domain_algo@UsingSrv2=true_NbServers=4_ATMdomain=lmdz@atm_output_interpolate.nc 1 
-test_domain_algo domain_algo@config_UsingSrv2=true_NbServers=4_ATMdomain=lmdz domain_algo@UsingSrv2=true_NbServers=4_ATMdomain=lmdz@atm_output_zoom.nc 1 
-test_domain_algo domain_algo@config_UsingSrv2=false_NbServers=2_ATMdomain=lmdz domain_algo@UsingSrv2=false_NbServers=2_ATMdomain=lmdz@atm_output.nc 1 
-test_domain_algo domain_algo@config_UsingSrv2=false_NbServers=2_ATMdomain=lmdz domain_algo@UsingSrv2=false_NbServers=2_ATMdomain=lmdz@atm_output_expand.nc 1 
-test_domain_algo domain_algo@config_UsingSrv2=false_NbServers=2_ATMdomain=lmdz domain_algo@UsingSrv2=false_NbServers=2_ATMdomain=lmdz@atm_output_extract.nc 1 
-test_domain_algo domain_algo@config_UsingSrv2=false_NbServers=2_ATMdomain=lmdz domain_algo@UsingSrv2=false_NbServers=2_ATMdomain=lmdz@atm_output_interpolate.nc 1 
-test_domain_algo domain_algo@config_UsingSrv2=false_NbServers=2_ATMdomain=lmdz domain_algo@UsingSrv2=false_NbServers=2_ATMdomain=lmdz@atm_output_zoom.nc 1 
-test_domain_algo domain_algo@config_UsingSrv2=false_NbServers=4_ATMdomain=lmdz domain_algo@UsingSrv2=false_NbServers=4_ATMdomain=lmdz@atm_output.nc 1 
-test_domain_algo domain_algo@config_UsingSrv2=false_NbServers=4_ATMdomain=lmdz domain_algo@UsingSrv2=false_NbServers=4_ATMdomain=lmdz@atm_output_expand.nc 1 
-test_domain_algo domain_algo@config_UsingSrv2=false_NbServers=4_ATMdomain=lmdz domain_algo@UsingSrv2=false_NbServers=4_ATMdomain=lmdz@atm_output_extract.nc 1 
-test_domain_algo domain_algo@config_UsingSrv2=false_NbServers=4_ATMdomain=lmdz domain_algo@UsingSrv2=false_NbServers=4_ATMdomain=lmdz@atm_output_interpolate.nc 1 
-test_domain_algo domain_algo@config_UsingSrv2=false_NbServers=4_ATMdomain=lmdz domain_algo@UsingSrv2=false_NbServers=4_ATMdomain=lmdz@atm_output_zoom.nc 1 
-test_scalar_algo scalar_algo@config_UsingSrv2=false_NbServers=2_ATMdomain=lmdz scalar_algo@UsingSrv2=false_NbServers=2_ATMdomain=lmdz@atm_output.nc 1 
-test_scalar_algo scalar_algo@config_UsingSrv2=false_NbServers=2_ATMdomain=lmdz scalar_algo@UsingSrv2=false_NbServers=2_ATMdomain=lmdz@atm_output_zoom.nc 1 
-test_scalar_algo scalar_algo@config_UsingSrv2=false_NbServers=4_ATMdomain=lmdz scalar_algo@UsingSrv2=false_NbServers=4_ATMdomain=lmdz@atm_output.nc 1 
-test_scalar_algo scalar_algo@config_UsingSrv2=false_NbServers=4_ATMdomain=lmdz scalar_algo@UsingSrv2=false_NbServers=4_ATMdomain=lmdz@atm_output_zoom.nc 1 
-test_scalar_algo scalar_algo@config_UsingSrv2=true_NbServers=2_ATMdomain=lmdz scalar_algo@UsingSrv2=true_NbServers=2_ATMdomain=lmdz@atm_output.nc 1 
-test_scalar_algo scalar_algo@config_UsingSrv2=true_NbServers=2_ATMdomain=lmdz scalar_algo@UsingSrv2=true_NbServers=2_ATMdomain=lmdz@atm_output_zoom.nc 1 
-test_scalar_algo scalar_algo@config_UsingSrv2=true_NbServers=4_ATMdomain=lmdz scalar_algo@UsingSrv2=true_NbServers=4_ATMdomain=lmdz@atm_output.nc 1 
-test_scalar_algo scalar_algo@config_UsingSrv2=true_NbServers=4_ATMdomain=lmdz scalar_algo@UsingSrv2=true_NbServers=4_ATMdomain=lmdz@atm_output_zoom.nc 1 
-test_function function@config_UsingSrv2=true_NbServers=4_ATMdomain=lmdz function@UsingSrv2=true_NbServers=4_ATMdomain=lmdz@atm_output.nc 1 
-test_function function@config_UsingSrv2=true_NbServers=2_ATMdomain=lmdz function@UsingSrv2=true_NbServers=2_ATMdomain=lmdz@atm_output.nc 1 
-test_function function@config_UsingSrv2=false_NbServers=4_ATMdomain=lmdz function@UsingSrv2=false_NbServers=4_ATMdomain=lmdz@atm_output.nc 1 
Index: XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/xios_compile.html
===================================================================
--- XIOS/dev/dev_trunk_omp/GENERIC_TESTCASE/xios_compile.html	(revision 1780)
+++ 	(revision )
@@ -1,293 +1,0 @@
-<!DOCTYPE html>
-<html>
-    <head>
-        <metacharset="utf-8"/>
-        <link rel="stylesheet" href="xios-style.css"/>
-        <title>XIOS Compile Report - Le Site Web</title>
-        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
-        <link href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css" rel="stylesheet"/>
-        <script>
-            $(document).ready(function()
-            {
-                $('#content').load("xios_table.html");
-                $('#content2').load("xios_table2.html");
-                $('#txtcont').load("report.html");
-            });
-        </script>
-
-
-    </head>
-    <body>
-        <header>
-            <h1>XIOS Compile Status Web Page</h1>
-            <h2>(still under construction ... ...)</h2>
-        </header>
-        <nav>
-            <div id="navborder">
-                <p id="xiosinfo">Some useful links:</p>
-                <ul>
-                    <li><a href="https://forge.ipsl.jussieu.fr/ioserver/wiki" target="_blank">XIOS wiki page</a></li>
-                    <li><a href="graph.html" target="_blank">Workflow Graph</a></li>
-                    <li><a href="plein_report.txt" target="_blank">Plein Text Report</a>(0:initialized 1:passed -1:failed)</li>
-                </ul> 
-            </div>
-        
-            
-        </nav> 
-        <section>
-            
-            <h2>Table of compile status of XIOS</h2>
-            
-
-            <!-- <div id="content"></div> -->
-
-            <form method="post" style="margin-left: 60px;">
-                <p><label for="revision">Revision : </label>
-                    <select name="revision" id="revision">            
-                        <option value="0" selected>All revisions ...</option>
-                        <option value="1743">1743</option>
-                        <option value="1742">1742</option>
-                        <option value="1741">1741</option>
-                        <option value="1740">1740</option>
-                    </select>
-                </p>
-            </form>
-
-            <table id="compile_table">
-                <thead>
-                    <td><em>Revision</em></td>
-                    <td><em>Irene</em></td>
-                    <td><em>Jean-Zay</em></td>
-                </thead>
-                <tfoot></tfoot>
-                <tbody>
-                    <tr class="compile_table_row">
-                        <td class="revision_number">1743</td>
-                        <td>
-                            <table class="irene_subtable">
-                                <tr>
-                                    <td style="border: 0px;"></td>
-                                    <td class="subtable_title">Prod</td>
-                                    <td class="subtable_title">Debug</td>
-                                </tr>
-                                <tr>
-                                    <td class="subtable_title">arch1</td>
-                                    <td>&#9989;</td>
-                                    <td>&#9989;</td>
-                                </tr>
-                                <tr>
-                                    <td class="subtable_title">arch2</td>
-                                    <td>&#9989;</td>
-                                    <td>&#9989;</td>
-                                </tr>
-                            </table>
-
-                        </td>
-                        <td>
-                            <table class="jz_subtable">
-                                <tr>
-                                    <td style="border: 0px;"></td>
-                                    <td class="subtable_title">Prod</td>
-                                    <td class="subtable_title">Debug</td>
-                                </tr>
-                                <tr>
-                                    <td class="subtable_title">arch1</td>
-                                    <td>&#9989;</td>
-                                    <td>&#9989;</td>
-                                </tr>
-                                <tr>
-                                <td class="subtable_title">arch2</td>
-                                    <td>&#9989;</td>
-                                    <td>&#9989;</td>
-                                </tr>
-                                <tr>
-                                    <td class="subtable_title">arch3</td>
-                                    <td>&#10060;</td>
-                                    <td>&#10060;</td>
-                                </tr>
-                            </table>
-                        </td> 
-                    </tr>
-                    <tr class="compile_table_row">
-                        <td class="revision_number">1742</td>
-                        <td>
-                            <table class="irene_subtable">
-                                <tr>
-                                    <td style="border: 0px;"></td>
-                                    <td class="subtable_title">Prod</td>
-                                    <td class="subtable_title">Debug</td>
-                                </tr>
-                                <tr>
-                                    <td class="subtable_title">arch1</td>
-                                    <td>&#10060;</td>
-                                    <td>&#9989;</td>
-                                </tr>
-                                <tr>
-                                    <td class="subtable_title">arch2</td>
-                                    <td>&#9989;</td>
-                                    <td>&#9989;</td>
-                                </tr>
-                            </table>
-                        </td>
-                        <td>
-                            <table class="jz_subtable">
-                                <tr>
-                                    <td style="border: 0px;"></td>
-                                    <td class="subtable_title">Prod</td>
-                                    <td class="subtable_title">Debug</td>
-                                </tr>
-                                <tr>
-                                    <td class="subtable_title">arch1</td>
-                                    <td>&#9989;</td>
-                                    <td>&#9989;</td>
-                                </tr>
-                                <tr>
-                                <td class="subtable_title">arch2</td>
-                                    <td>&#9989;</td>
-                                    <td>&#10060;</td>
-                                </tr>
-                                <tr>
-                                    <td class="subtable_title">arch3</td>
-                                    <td>&#10060;</td>
-                                    <td>&#10060;</td>
-                                </tr>
-                            </table>
-                        </td>
-                    </tr>
-                    <tr class="compile_table_row">
-                        <td class="revision_number">1741</td>
-                        <td>
-                            <table class="irene_subtable">
-                                <tr>
-                                    <td style="border: 0px;"></td>
-                                    <td class="subtable_title">Prod</td>
-                                    <td class="subtable_title">Debug</td>
-                                </tr>
-                                <tr>
-                                    <td class="subtable_title">arch1</td>
-                                    <td>&#9989;</td>
-                                    <td>&#9989;</td>
-                                </tr>
-                                <tr>
-                                    <td class="subtable_title">arch2</td>
-                                    <td>&#10060;</td>
-                                    <td>&#10060;</td>
-                                </tr>
-                            </table>
-                        </td>
-                        <td>
-                            <table class="jz_subtable">
-                                <tr>
-                                    <td style="border: 0px;"></td>
-                                    <td class="subtable_title">Prod</td>
-                                    <td class="subtable_title">Debug</td>
-                                </tr>
-                                <tr>
-                                    <td class="subtable_title">arch1</td>
-                                    <td>&#9989;</td>
-                                    <td>&#9989;</td>
-                                </tr>
-                                <tr>
-                                <td class="subtable_title">arch2</td>
-                                    <td>&#9989;</td>
-                                    <td>&#9989;</td>
-                                </tr>
-                                <tr>
-                                    <td class="subtable_title">arch3</td>
-                                    <td>&#10060;</td>
-                                    <td>&#10060;</td>
-                                </tr>
-                            </table>
-                        </td>
-                    </tr>
-                    <tr class="compile_table_row">
-                        <td class="revision_number">1740</td>
-                        <td>
-                            <table class="irene_subtable">
-                                <tr>
-                                    <td style="border: 0px;"></td>
-                                    <td class="subtable_title">Prod</td>
-                                    <td class="subtable_title">Debug</td>
-                                </tr>
-                                <tr>
-                                    <td class="subtable_title">arch1</td>
-                                    <td>&#9989;</td>
-                                    <td>&#9989;</td>
-                                </tr>
-                                <tr>
-                                    <td class="subtable_title">arch2</td>
-                                    <td>&#9989;</td>
-                                    <td>&#9989;</td>
-                                </tr>
-                            </table>
-                        </td>
-                        <td>
-                            <table class="jz_subtable">
-                                <tr>
-                                    <td style="border: 0px;"></td>
-                                    <td class="subtable_title">Prod</td>
-                                    <td class="subtable_title">Debug</td>
-                                </tr>
-                                <tr>
-                                    <td class="subtable_title">arch1</td>
-                                    <td>&#9989;</td>
-                                    <td>&#9989;</td>
-                                </tr>
-                                <tr>
-                                <td class="subtable_title">arch2</td>
-                                    <td>&#9989;</td>
-                                    <td>&#9989;</td>
-                                </tr>
-                                <tr>
-                                    <td class="subtable_title">arch3</td>
-                                    <td>&#10060;</td>
-                                    <td>&#10060;</td>
-                                </tr>
-                            </table>
-                        </td>
-                    </tr>
-                </tbody>
-            </table>
-
-        </section>
-
-        <body>
-
-        <footer>
-            <p>Copyright XIOS - Tous droits rÃ©servÃ©s
-                <a href="mailto:xios-dev@forge.ipsl.jussieu.fr">Nous contacter !</a>
-            </p>
-        </footer>
-    </body>
-</html>
-
-<script>
-
-$("#revision").change(function() {
-    if(this.value==0)
-    {
-        var $rows = $('.compile_table_row', '#compile_table');    
-        $('.compile_table_row', '#compile_table').css('display', '');
-    }
-    else
-    {
-        // Convert 1-based index to 0 based index
-        // var index = this.value - 1740;
-        var index = 1743 - this.value;
-
-        // Select all rows in the table
-        var $rows = $('.compile_table_row', '#compile_table');
-
-        // Set all rows to no background
-        //   $rows.css('background-color', '');
-        $rows.css('display', 'none');
-
-        // Change the selected row's color to one
-        //   $('.row', '.table1').eq(index).css('background-color', 'yellow');
-        $('.compile_table_row', '#compile_table').eq(index).css('display', '');
-    }
-   
-});
-
-
-</script>